Subject: Re: bug#42796: partprobe doesn't reload partition information for loop devices when invoked with no options
From: "Brian C. Lane" <[email-masked]>
To: "Szuberski, Damian (Nokia - HU/Budapest)" <[email-masked]>
Cc: [email-masked]
Date: Tue, 11 Aug 2020 10:02:47 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

On Mon, Aug 10, 2020 at 08:27:07AM +0000, Szuberski, Damian (Nokia - HU/Budapest) wrote:
> Hello parted developers!
> 
> I hope you're well. Steps to reproduce the bug I just found

partprobe doesn't include loop devices unless you specify them on the
cmdline.

It looks to me like sgpart or debian does have a problem though, they
should be notifying the kernel of the change when you resize the
partition. If I do the same steps on Fedora, using sgdisk or parted I
don't need to run partprobe for lsblk to show the updated size.

Brian

-- 
Brian C. Lane (PST8PDT) - weldr.io - lorax - parted - pykickstart